---
updatedAt: 2026-04-14T18:10:58.000Z
agentTools:
  projectIndex: https://snipe-it.readme.io/llms.txt
---

# Handling Model Files

Asset model files may be managed via API using the following example calls. Note that you will have to replace `http://your-snipe-it` with your Snipe-IT url, and the `xxxxxxxxxxxx` with your actual bearer token. The files will show up in the associated assets under the "Additional Files" tab.

<br />

> 📘 Using a self-signed certificate
>
> If you're using a self-signed SSL certificate, you may need to pass the `--insecure`flag on these calls.

### Upload a file

Note that in this example, `test.txt` is located in the directory this command is being run from.

```curl
curl -request POST --url http://your-snipe-it/api/v1/models/1/files \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR-BEARER-TOKEN' \
--form 'file[]=@test.txt' \
--form 'file[]=@test2.txt' \
--form 'file[]=@poc.svg' \
--form 'notes=Test'
```

### List Files

```curl
curl --request GET --url http://your-snipe-it/api/v1/models/1/files --header "Authorization: Bearer xxxxxxxxxx" --header 'accept: application/json' --verbose
```

### Retrieve a File

```curl
curl --request GET --url http://your-snipe-it/api/v1/models/1/file/1 --header "Authorization: Bearer xxxxxxxxxx" --output downloadedfile --verbose
```

### Delete a File

```curl cURL
curl --request DELETE --url http://your-snipe-it/api/v1/models/1/file/1 --header "Authorization: Bearer xxxxxxxxxx" --header 'accept: application/json' --verbose
```